Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Interface ClientPostListener

public interface ClientPostListener

For Lobs that implement deferred data post logic. Basically when Lobs want to post their large data only after the row is posted into the database, so that the data is not buffered in the framework at all and goes into lob-locator for the lob.

Ideally the domain-instances that need to post data in such a manner will install a utility class into this list which will on notification stream domain's lob data into the db-locator. Keep in mind that all jbo.client.remote.* calls from domains need to be dynamic calls so that domains themselves could be loaded into Server without the need for client.remote classes (which are not installed).

Note that if this post cycle from the remote breaks down for some reason, the row is already posted and unless the transaction is completely rolled-back, the row data would get committed and the lobs may remain unfilled. The Post listeners are required to handle any/all failures. The framework assumes that this notification process always succeeds.

Version:
  INTERNAL

Method Summary
`void` | `notifyClientPassivationBefore()`
`void` | `notifyClientPostAfter()`
`void` | `notifyClientPostBefore()`

Method Detail

### notifyClientPostBefore

    public void notifyClientPostBefore()

### notifyClientPostAfter

    public void notifyClientPostAfter()

### notifyClientPassivationBefore

    public void notifyClientPassivationBefore()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.